Subject: bug#21934: 24.5; find-tag: reading TAGS file incorrectly

From: Eli Zaretskii <[email-masked]>
Date: Sun, 22 Nov 2015 19:38:10 +0200

> Cc: [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Sun, 22 Nov 2015 18:54:40 +0200
> 
> if I understand Andreas right, etags should output two tags for each
> such definition. Just like we do for C++.

If that's the conclusion, I think I can make etags do that for Lua.

Should that be done for tokens that include '.' and ':'?  Can there be
more than one of these in a token, and if so, what should etags do?
IOW, if we have foo.bar.baz or foo:bar.baz etc., what should be the
result?